CVE-2020-16591

Name
CVE-2020-16591
Description
A Denial of Service vulnerability exists in the Binary File Descriptor (BFD) in GNU Binutils 2.35 due to an invalid read in process_symbol_table, as demonstrated in readeif.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Exploit https://sourceware.org/bugzilla/show_bug.cgi?id=25822
Patch https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=001890e1f9269697f7e0212430a51479271bdab2
CONFIRM https://security.netapp.com/advisory/ntap-20210115-0003/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gnu:binutils:2.34:*:*:*:*:*:*:* binutils == None == 2.34

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
binutils 3.12-main 2.34-r2 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable